function p.__get_name()
    return "Music Playlist"
end

function p.__render(wid, min_x, min_y, max_x, max_y)
    local playlist = ga_get_sys_s("sound.cur_playlist")
    local playlist_exists = ga_playlist_exists(playlist)

    local diff_y = max_y - min_y
    local char_h = diff_y * 0.75
    local char_w = char_h * 0.5
    local str = "Playlist: " .. ga_get_sys_s("sound.cur_playlist")

    local green = std.vec(0.0, 1.0, 0.0)
    local red = std.vec(1.0, 0.0, 0.0)
    local color = green
    if not playlist_exists then color = red end

    ga_win_set_front_color(wid, color)
    ga_win_set_char_size(wid, char_w, char_h)
    local alpha = 1.0
    -- ga_win_txt(wid, min_x, min_y, str)
    ga_win_txt_alpha_bg(wid, min_x, min_y, alpha, str)
end
